Developer
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Notification API
  • Status API
  • Mapping API
  • App data retrieval API
  • Transfer retrieval API
  • Feedback channel API
  • Error retrieval API
Platform
App migration platform / Reference / Connect REST API

App data retrieval API

Postman Collection
OpenAPI

Provides endpoints to access files exported from the server (files not exported as part of the migration)

GET

Get list of app data exports

Returns all uploaded data keys for a transferId

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

transferId

string

Required

Responses

OK

application/json

array<UploadedDataDto>

GET/data/{transferId}/all
1 2 3 curl --request GET \ --url 'https://your-site.atlassian.net/rest/atlassian-connect/1/migration/data/{transferId}/all' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 [ { "label": "<string>", "s3Key": "<string>" } ]
GET

Get app data export signed URL

Returns an object containing a signed url to retrieve app data

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

s3Key

string

Required

Responses

OK

application/json

object
GET/data/{s3Key}
1 2 3 curl --request GET \ --url 'https://your-site.atlassian.net/rest/atlassian-connect/1/migration/data/{s3Key}' \ --header 'Accept: application/json'
200Response
1 2 3 { "url": "<string>" }

Rate this page: